#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "libschremote.h"

#define TEMP_RATIO (3.3/1024/0.0195)  //3.3V is the PS, 1024 is resolution of ADC, 0,0195 V/C resolution of MCP9701
#define TEMP_OFFSET (0.4/3.3 *1024) //0.4V = 0C

int main(int argc, char *argv[])
  {
  SR_HANDLE srh;
  
  if (argc < 2)
    {
    printf("Usage SrTemp <ip>");
    return 0;
    }
  
  srh = sr_open_eth(argv[1]);
  if (!srh)
    {
    printf("Failed to allocate a handle\n");
    return 0;
    }

  sr_pin_setup(srh, 6, sr_pt_analog_in);
  sr_pin_setup(srh, 7, sr_pt_analog_in);
  unsigned short t;
  sr_pin_get_analog(srh, 6, &t);
  printf("Temperature 1: %.01f oC\n", (t-TEMP_OFFSET)*TEMP_RATIO);
  sr_pin_get_analog(srh, 7, &t);
  printf("Temperature 2: %.01f oC\n", (t-TEMP_OFFSET)*TEMP_RATIO);
  }
